//
// Created by jovian on 18/07/17.
//

#include "HumanSoldier.h"

HumanSoldier::HumanSoldier(TinyWorld *tinyWorld, Controller *ctrl, b2Vec2 spawn, unsigned int camp)
        : Soldier(ALLY, ctrl, tinyWorld, 0, camp, 100), m_zoom(DEFAULT_ZOOM) {
    // Shape
    createPhysicalShape(spawn);
}

void HumanSoldier::update() {
    // Zoom
    m_zoom = DEFAULT_ZOOM * m_ctrl->getZoomScale();

    // Call Soldier update
    Soldier::update();
}

Visual *HumanSoldier::makeLifeBar() {
    return new Visual(15 + m_life / 17, m_body->GetPosition() + b2Vec2(0.0f, -0.75f), 0.0f);
}

float HumanSoldier::getZoom() const {
    return m_zoom;
}
