// Includes
#include <iostream>
#include "GameCore.h"

using namespace std;

int main() {
    // Start
    cout << "TinyShooter starts." << endl;

    // Random start
    srand((unsigned int) time(0));

    // Initialisation
    GameCore tinyShooter;

    if (!tinyShooter.initialize()){
        cout << "TinyShooter has encountered a problem." << endl;
        cout << "Ask Jovian to debug his program ..." << endl;
        return 1;
    }

    // QuickGame
    tinyShooter.startQuickGame();

    // End
    return 0;
}