//
// Created by jovian on 18/07/17.
//

#include "Controller.h"

Controller::Controller()
        : m_boost(false), m_firing(false), m_shield(false),
          m_visor(0.0f, 0.0f), m_acceleration(0.0f), m_torque(0.0f), m_zoomScale(1.0f) {

}

bool Controller::isBoosting() const {
    return m_boost;
}

bool Controller::isFiring() const {
    return m_firing;
}

bool Controller::isShielded() const {
    return m_shield;
}

const b2Vec2 &Controller::getVisor() const {
    return m_visor;
}

float Controller::getZoomScale() const {
    return m_zoomScale;
}

float Controller::getAcceleration() const {
    return m_acceleration;
}

float Controller::getTorque() const {
    return m_torque;
}

