//
// Created by jovian on 01/08/17.
//

#ifndef TINYSHOOTER_JOYPADCTRL_H
#define TINYSHOOTER_JOYPADCTRL_H


#include "Controller.h"
#include "InputAndJoy.h"

class JoyPadCtrl : public Controller {
public:
    JoyPadCtrl(InputAndJoy *inputJoy, SDL_JoystickID id = 0);

    void refresh() override;

protected:
    InputAndJoy *m_inputJoy;
    SDL_JoystickID m_id;

    const float m_sqCeilMove; // Dead moving joystick zone (squared length)
    const float m_sqCeilVisor; // Dead visor joystick zone (squared length)

};


#endif //TINYSHOOTER_JOYPADCTRL_H
