//
// Created by jovian on 18/07/17.
//

#ifndef TINYSHOOTER_VISUAL_H
#define TINYSHOOTER_VISUAL_H

#include <Box2D/Box2D.h>

/* class Visual :
 * Describe something to show.
 */

#define DEFAULT_ZOOM 100.0f // Default Box2D/pixel scale

class Visual {
public :
    Visual(unsigned int imgId, const b2Vec2 &relPos, float angle);

    unsigned int getImgId() const;
    const b2Vec2 &getPos() const;
    float getAngle() const;

protected:
    unsigned int m_imgId; // Id of SDL texture
    b2Vec2 m_relPos; // From left top corner
    float m_angle; // Angle of object
};

void clearVisuals(std::vector<Visual*> &scope);


#endif //TINYSHOOTER_VISUAL_H
