//
// Created by jovian on 18/07/17.
//

#ifndef TINYSHOOTER_ALLY_H
#define TINYSHOOTER_ALLY_H

#include "Soldier.h"

class HumanSoldier : public Soldier {
public:
    HumanSoldier(TinyWorld *tinyWorld, Controller *ctrl, b2Vec2 spawn = b2Vec2_zero, unsigned int camp = 0);

    void update() override;

    Visual* makeLifeBar();

    float getZoom() const;

protected:
    float m_zoom; // Scale from Box2D to SDL2 length
};


#endif //TINYSHOOTER_ALLY_H
